Skip to main content

Retrieve Invoices

GET 

/invoices

Returns a list of Invoices.

Request

Query Parameters

    sortColumn string

    Possible values: <= 255 characters

    Entity field used to sort the results

    sort string

    Possible values: [asc, desc]

    Direction to use when sorting records

    perPage integer

    Possible values: >= 1

    Number to indicate how many records should be returned per page

    page integer

    Possible values: >= 1

    Page number to retrieve records

    q string

    Possible values: <= 255 characters

    Query to filter records. Query will search the following fields: customer_id status

Responses

Invoices retrieved

Schema

    status string

    Possible values: [success]

    data

    object[]

  • Array [

  • id uuid

    Possible values: <= 36 characters, Value must match regular expression ^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$

    UUID v4

    status string

    Possible values: [draft, open, processing, paid, uncollectible, void]

    total_amount

    object

    Money representation

    value MoneyAmount (integer)required

    Possible values: <= 9999999999

    Amount expressed in cents. 1 USD should be submitted as 100 cents

    currency /[A-Z]{3}/required

    ISO 4217 representation of the currency

    subtotal_amount

    object

    Money representation

    value MoneyAmount (integer)required

    Possible values: <= 9999999999

    Amount expressed in cents. 1 USD should be submitted as 100 cents

    currency /[A-Z]{3}/required

    ISO 4217 representation of the currency

    customer_id uuidnullable

    Possible values: <= 36 characters, Value must match regular expression ^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$

    UUID v4

    customer_name stringnullable

    Name of the customer the invoice is linked to.

    customer_email email

    Possible values: <= 255 characters

    Email Address

    due_date Unix timestamp

    Unix timestamp representing the date

    can_finalize boolean

    When true the invoice can be finialized as it meets minimum required data.

    finalize_errors stringnullable

    If the invoice cannot be finalized, errors will be returned here.

    can_be_edited boolean

    Whether the invoice can be edited or not.

    can_be_paid boolean

    Whether the invoice can be paid or not.

    can_be_sent boolean

    Whether the invoice can be sent through email or not.

    line_items

    object[]

    nullable

  • Array [

  • id uuid

    Possible values: <= 36 characters, Value must match regular expression ^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$

    UUID v4

    description string

    Description of the line item

    quantity integer

    Possible values: >= 1

    Quantity. The total will be calculated by multiplying the quantity and the unit_amount

    unit_amount

    object

    Money representation

    value MoneyAmount (integer)required

    Possible values: <= 9999999999

    Amount expressed in cents. 1 USD should be submitted as 100 cents

    currency /[A-Z]{3}/required

    ISO 4217 representation of the currency

    total_amount

    object

    Money representation

    value MoneyAmount (integer)required

    Possible values: <= 9999999999

    Amount expressed in cents. 1 USD should be submitted as 100 cents

    currency /[A-Z]{3}/required

    ISO 4217 representation of the currency

    discounted_total

    object

    Money representation

    value MoneyAmount (integer)required

    Possible values: <= 9999999999

    Amount expressed in cents. 1 USD should be submitted as 100 cents

    currency /[A-Z]{3}/required

    ISO 4217 representation of the currency

  • ]

  • created_on Unix timestamp

    Unix timestamp representing the date

  • ]

  • code integer

    Possible values: [200]

    message string

    Possible values: [Successful request]

    pagination

    object

    total_records integer
    page integer
    records_per_page integer
Loading...